BasicClassIntrospector (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.introspect

## Class BasicClassIntrospector

- java.lang.Object
- - org.codehaus.jackson.map.ClassIntrospector<BasicBeanDescription>
  - - org.codehaus.jackson.map.introspect.BasicClassIntrospector

-     public class BasicClassIntrospector
      extends ClassIntrospector<BasicBeanDescription>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BasicClassIntrospector.GetterMethodFilter` Deprecated. Since 1.9 just don't use
    `static class` | `BasicClassIntrospector.SetterAndGetterMethodFilter` Deprecated. Since 1.9 just don't use
    `static class` | `BasicClassIntrospector.SetterMethodFilter` Deprecated. Since 1.9 just don't use

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.ClassIntrospector

      `ClassIntrospector.MixInResolver`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static BasicBeanDescription` | `BOOLEAN_DESC`
    `static BasicClassIntrospector.GetterMethodFilter` | `DEFAULT_GETTER_FILTER` Deprecated. Since 1.9 just don't use
    `static BasicClassIntrospector.SetterAndGetterMethodFilter` | `DEFAULT_SETTER_AND_GETTER_FILTER` Deprecated. Since 1.9 just don't use
    `static BasicClassIntrospector.SetterMethodFilter` | `DEFAULT_SETTER_FILTER` Deprecated. Since 1.9 just don't use
    `static BasicClassIntrospector` | `instance`
    `protected static BasicBeanDescription` | `INT_DESC`
    `protected static BasicBeanDescription` | `LONG_DESC`
    `protected static MethodFilter` | `MINIMAL_FILTER`
    `protected static BasicBeanDescription` | `STRING_DESC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicClassIntrospector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BasicBeanDescription` | `_findCachedDesc(JavaType type)` Method called to see if type is one of core JDK types that we have cached for efficiency.
    `AnnotatedClass` | `classWithCreators(MapperConfig<?> config, JavaType type, ClassIntrospector.MixInResolver r)`
    `POJOPropertiesCollector` | `collectProperties(MapperConfig<?> config, JavaType type, ClassIntrospector.MixInResolver r, boolean forSerialization)`
    `protected POJOPropertiesCollector` | `constructPropertyCollector(MapperConfig<?> config, AnnotatedClass ac, JavaType type, boolean forSerialization)` Overridable method called for creating `POJOPropertiesCollector` instance to use; override is needed if a custom sub-class is to be used.
    `BasicBeanDescription` | `forClassAnnotations(MapperConfig<?> cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that only has information regarding annotations class itself (or its supertypes) has, but nothing on methods or constructors.
    `BasicBeanDescription` | `forCreation(DeserializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has information necessary for creating instances of given class ("creator"), as well as class annotations, but no information on member methods
    `BasicBeanDescription` | `forDeserialization(DeserializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has all information needed for deserialization purposes.
    `BasicBeanDescription` | `forDirectClassAnnotations(MapperConfig<?> cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that only has information regarding annotations class itself has (but NOT including its supertypes), but nothing on methods or constructors.
    `BasicBeanDescription` | `forSerialization(SerializationConfig cfg, JavaType type, ClassIntrospector.MixInResolver r)` Factory method that constructs an introspector that has all information needed for serialization purposes.
    `protected MethodFilter` | `getDeserializationMethodFilter(DeserializationConfig cfg)` Deprecated. Since 1.9 just don't use
    `protected MethodFilter` | `getSerializationMethodFilter(SerializationConfig cfg)` Deprecated. Since 1.9 just don't use

    - ### Methods inherited from class org.codehaus.jackson.map.ClassIntrospector

      `forClassAnnotations, forDirectClassAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING_DESC

          protected static final BasicBeanDescription STRING_DESC

    - #### BOOLEAN_DESC

          protected static final BasicBeanDescription BOOLEAN_DESC

    - #### INT_DESC

          protected static final BasicBeanDescription INT_DESC

    - #### LONG_DESC

          protected static final BasicBeanDescription LONG_DESC

    - #### DEFAULT_GETTER_FILTER

          @Deprecated
          public static final BasicClassIntrospector.GetterMethodFilter DEFAULT_GETTER_FILTER

      Deprecated. Since 1.9 just don't use
      Since:
        1.8

    - #### DEFAULT_SETTER_FILTER

          @Deprecated
          public static final BasicClassIntrospector.SetterMethodFilter DEFAULT_SETTER_FILTER

      Deprecated. Since 1.9 just don't use
      Since:
        1.8

    - #### DEFAULT_SETTER_AND_GETTER_FILTER

          @Deprecated
          public static final BasicClassIntrospector.SetterAndGetterMethodFilter DEFAULT_SETTER_AND_GETTER_FILTER

      Deprecated. Since 1.9 just don't use
      Since:
        1.8

    - #### MINIMAL_FILTER

          protected static final MethodFilter MINIMAL_FILTER

    - #### instance

          public static final BasicClassIntrospector instance

  - ### Constructor Detail

    - #### BasicClassIntrospector

          public BasicClassIntrospector()

  - ### Method Detail

    - #### forSerialization

          public BasicBeanDescription forSerialization(SerializationConfig cfg,
                                              JavaType type,
                                              ClassIntrospector.MixInResolver r)

      Description copied from class: `ClassIntrospector`
      Factory method that constructs an introspector that has all information needed for serialization purposes.
      Specified by:
        `forSerialization` in class `ClassIntrospector<BasicBeanDescription>`

    - #### forDeserialization

          public BasicBeanDescription forDeserialization(DeserializationConfig cfg,
                                                JavaType type,
                                                ClassIntrospector.MixInResolver r)

      Description copied from class: `ClassIntrospector`
      Factory method that constructs an introspector that has all information needed for deserialization purposes.
      Specified by:
        `forDeserialization` in class `ClassIntrospector<BasicBeanDescription>`

    - #### forCreation

          public BasicBeanDescription forCreation(DeserializationConfig cfg,
                                         JavaType type,
                                         ClassIntrospector.MixInResolver r)

      Description copied from class: `ClassIntrospector`
      Factory method that constructs an introspector that has information necessary for creating instances of given class ("creator"), as well as class annotations, but no information on member methods
      Specified by:
        `forCreation` in class `ClassIntrospector<BasicBeanDescription>`

    - #### forClassAnnotations

          public BasicBeanDescription forClassAnnotations(MapperConfig<?> cfg,
                                                 JavaType type,
                                                 ClassIntrospector.MixInResolver r)

      Description copied from class: `ClassIntrospector`
      Factory method that constructs an introspector that only has information regarding annotations class itself (or its supertypes) has, but nothing on methods or constructors.
      Specified by:
        `forClassAnnotations` in class `ClassIntrospector<BasicBeanDescription>`

    - #### forDirectClassAnnotations

          public BasicBeanDescription forDirectClassAnnotations(MapperConfig<?> cfg,
                                                       JavaType type,
                                                       ClassIntrospector.MixInResolver r)

      Description copied from class: `ClassIntrospector`
      Factory method that constructs an introspector that only has information regarding annotations class itself has (but NOT including its supertypes), but nothing on methods or constructors.
      Specified by:
        `forDirectClassAnnotations` in class `ClassIntrospector<BasicBeanDescription>`

    - #### collectProperties

          public POJOPropertiesCollector collectProperties(MapperConfig<?> config,
                                                  JavaType type,
                                                  ClassIntrospector.MixInResolver r,
                                                  boolean forSerialization)

      Since:
        1.9

    - #### constructPropertyCollector

          protected POJOPropertiesCollector constructPropertyCollector(MapperConfig<?> config,
                                                           AnnotatedClass ac,
                                                           JavaType type,
                                                           boolean forSerialization)

      Overridable method called for creating `POJOPropertiesCollector` instance to use; override is needed if a custom sub-class is to be used.
      Since:
        1.9

    - #### classWithCreators

          public AnnotatedClass classWithCreators(MapperConfig<?> config,
                                         JavaType type,
                                         ClassIntrospector.MixInResolver r)

      Since:
        1.9

    - #### _findCachedDesc

          protected BasicBeanDescription _findCachedDesc(JavaType type)

      Method called to see if type is one of core JDK types that we have cached for efficiency.
      Since:
        1.9

    - #### getSerializationMethodFilter

          @Deprecated
          protected MethodFilter getSerializationMethodFilter(SerializationConfig cfg)

      Deprecated. Since 1.9 just don't use
      Helper method for getting access to filter that only guarantees that methods used for serialization are to be included.

    - #### getDeserializationMethodFilter

          @Deprecated
          protected MethodFilter getDeserializationMethodFilter(DeserializationConfig cfg)

      Deprecated. Since 1.9 just don't use
      Helper method for getting access to filter that only guarantees that methods used for deserialization are to be included.